Lavalite package that provides newsletter management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litepie/newsletter`.

    "litepie/newsletter": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litepie\Newsletter\Providers\NewsletterServiceProvider::class,

And also add it to alias

    'Newsletter'  => Litepie\Newsletter\Facades\Newsletter::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litepie\\Newsletter\\Seeds\\NewsletterTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litepie\Newsletter\Providers\NewsletterServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepie\Newsletter\Providers\NewsletterServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepie\Newsletter\Providers\NewsletterServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/newsletter/{modulename}

**User**

    http://path-to-route-folder/user/newsletter/{modulename}

**Public**

    http://path-to-route-folder/newsletters


### API endpoints

**List**

    http://path-to-route-folder/api/user/newsletter/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/newsletter/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/newsletter/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/newsletter/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/newsletter/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/newsletter/{modulename}/{slug}
    METHOD: GET