<?php

namespace Litepie\Newsletter\Repositories\Eloquent;

use Litepie\Newsletter\Interfaces\NewsletterRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litepie\Newsletter\Repositories\Eloquent\Presenters\NewsletterItemPresenter;


class NewsletterRepository extends BaseRepository implements NewsletterRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litepie.newsletter.newsletter.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litepie.newsletter.newsletter.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return NewsletterItemPresenter::class;
    }
}
